Texa DeskDevelopers

Texa Desk Application API · Conversations

Update Custom Attributes

POST/api/v1/accounts/{account_id}/conversations/{conversation_id}/custom_attributes

Updates the custom attributes of a conversation

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

conversation_idintegerrequired

The numeric ID of the conversation

Body application/json

custom_attributesobjectrequired

The custom attributes to be set for the conversation

mergeboolean

When true, only the keys sent in custom_attributes are updated and the remaining keys are kept intact. When false (default), the whole custom attributes hash is replaced. Use the destroy_custom_attributes endpoint to remove keys. Default false.

Responses

200

Success

custom_attributesobject

The custom attributes of the conversation

401

Unauthorized

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
404

Conversation not found

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring